Summary: Hercules S/370, ESA/390, and z/Architecture emulator
Name: hercules
Version: 3.04.1
Release: 3%{?dist}
License: QPL
Group: Applications/Emulators
URL: http://www.conmicro.cx/hercules/
Source0: http://www.conmicro.cx/hercules/hercules-%{version}.tar.gz
Source1: hercules.cnf
Source2: hercules-run
Source3: README.fedora
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: bison, zlib-devel, bzip2-devel
Obsoletes: hercules-docs <= 3.01

%description
Hercules is an emulator for the IBM System/370, ESA/390, and z/Architecture
series of mainframe computers. It is capable of running any IBM operating
system and applications that a real system will run, as long as the hardware
needed is emulated. Hercules can emulate FBA and CKD DASD, tape, printer,
card reader, card punch, channel-to-channel adapter, LCS Ethernet, and
printer-keyboard, 3270 terminal, and 3287 printer devices.


%prep
%setup

%build
# Get the modules in the right place (lib64 on 64bit archs)
%{__perl} -pi -e 's|\${DESTPREFIX}/lib/|${libdir}/|g' configure*
# Required in 3.04 to find libs on x86_64
export LDFLAGS="-L%{_libdir}"
%configure \
    --enable-dependency-tracking \
    --disable-rpath \
    --enable-optimization="%{optflags}"
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot} README.fedora
%{__make} install DESTDIR=%{buildroot}
%find_lang %{name}
# Install our configuration file, substitute @LIBDIR@ for the current value
%{__mkdir_p} %{buildroot}%{_sysconfdir}/hercules
%{__cat} %{SOURCE1} | %{__sed} 's|@LIBDIR@|%{_libdir}|g' > \
    %{buildroot}%{_sysconfdir}/hercules/hercules.cnf
# Install our wrapper script (takes care of tunnel networking)
%{__install} -D -p -m 0755 %{SOURCE2} \
    %{buildroot}%{_sbindir}/hercules-run
# Copy our README to be included as doc
%{__install} -p -m 0644 %{SOURCE3} README.fedora
# Create empty directory where to store system images
%{__mkdir_p} %{buildroot}%{_var}/lib/hercules


%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc CHANGES README* RELEASE* hercules.cnf html/ util/
%dir %{_sysconfdir}/hercules/
%attr(0644, root, root) %config(noreplace) %{_sysconfdir}/hercules/hercules.cnf
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/hercules/
%{_libdir}/hercules/
%exclude %{_libdir}/hercules/*.la
%{_libdir}/*.so
%exclude %{_libdir}/*.la
%{_mandir}/man?/*
%dir %{_var}/lib/hercules/


%changelog
* Tue Aug  1 2006 Matthias Saou <http://freshrpms.net/> 3.04.1-3
- Don't assume we have a sane default umask... (#200838).
- Update the README.fedora to include more details + RHL and RHEL steps.
- Update hercules.cnf to fix dasdinit tip and missing CTCI line.

* Mon Jul  3 2006 Matthias Saou <http://freshrpms.net/> 3.04.1-2
- Move out all the inlined configuration files, keep only the .cnf file.
- Update .cnf file so that it works (load modules required for the default).
- Include README.fedora to give quick instructions on how to get started.
- Include empty %{_var}/lib/hercules/ directory.
- Rename hercules.init to hercules-run in PATH and clean it up somewhat.

* Mon Jul  3 2006 Matthias Saou <http://freshrpms.net/> 3.04.1-1
- Update to 3.04.1 (useless, I know).
- Remove no longer needed libgcrypt dependency.
- Add explicit LDFLAGS to fix x86_64 compilation at last! (#185906)
- Pass --disable-rpath to configure.
- Update lib vs. lib64 hack since it's only needed in configure now.

* Tue Mar 14 2006 Matthias Saou <http://freshrpms.net/> 3.04-1
- Update to 3.04.

* Thu Feb  9 2006 Matthias Saou <http://freshrpms.net/> 3.03.1-1
- Update to 3.03.1.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 3.02-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 3.02-2
- rebuilt

* Tue Jan 25 2005 Matthias Saou <http://freshrpms.net/> 3.02-1
- Update to 3.02 final.

* Fri Dec 24 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- scrubbed release tag

* Thu Dec  2 2004 Michael Schwendt <mschwendt[AT]users.sf.net>
- BR s/libgcrypt/libgcrypt-devel/

* Mon Oct 25 2004 Matthias Saou <http://freshrpms.net/> 3.02-0.20041025.1
- Update to today's CVS snapshot.

* Thu Jul 29 2004 Matthias Saou <http://freshrpms.net/> 3.01-2.20040729
- Update to CVS version.
- Merge the docs back into the main package.

* Sat Jul 17 2004 Matthias Saou <http://freshrpms.net/> 3.01-2
- Updated config's ctc entry to the new syntax.

* Sat Apr 10 2004 Dag Wieers <dag@wieers.com> - 3.01-1
- Updated to release 3.01.
- Added default configuration from Florian La Roche.

* Fri Oct 3 2003 Jay Maynard <jmaynard@conmicro.cx>
Updates for version 3.00: lots of libraries and executable changes.

* Thu Feb 6 2003 Jay Maynard <jmaynard@conmicro.cx>
Fixed permissions again. Thanks to John Summerfield for finding
my screwup and pointing it out.

* Sun Feb 2 2003 Jay Maynard <jmaynard@conmicro.cx>
Updates for 2.17: new files, RPM 4 updates to build specifications (thanks
to Florian La Roche), fixed default attributes (thanks again to John
Summerfield, and this time it'll stick!), and RPM 4 updates to file header
(thanks to Frank Meurer).

* Wed Jul 3 2002 Jay Maynard <jmaynard@conmicro.cx>
Added Alpha build kludge to bypass setresuid test in configure.

* Sat May 4 2002 Jay Maynard <jmaynard@conmicro.cx>
Removed enable-setuid-hercifc option (thanks again to John Summerfield).

* Fri Apr 19 2002 Jay Maynard <jmaynard@conmicro.cx>
Added new HTTP server files for 2.16.

* Thu Dec 20 2001 Jay Maynard <jmaynard@conmicro.cx>
Changed build process to include configure step.

* Sun May 7 2001 Jay Maynard <jmaynard@conmicro.cx>
Changed executables for Hercules 2.12; set default attributes (thanks to
John Summerfield).

* Sun Feb 3 2001 Jay Maynard <jmaynard@conmicro.cx>
Changed executables for Hercules 2.10.

* Sun Oct 8 2000 Jay Maynard <jmaynard@conmicro.cx>
Added multi-architecture build processing.

* Sun Jul 4 2000 Jay Maynard <jmaynard@conmicro.cx>
Added BuildRoot (thanks to David Barth).

* Sun Jun 18 2000 Jay Maynard <jmaynard@conmicro.cx>
Created RPM.
